environments:
  default:
    missingFileHandler: Warn
    values:
    - ../config.yaml
    - {{ env "GITLAB_MANAGED_APPS_FILE" }}

repositories:
- name: gitlab
  url: https://charts.gitlab.io

releases:
- name: knative
  namespace: {{ requiredEnv "TILLER_NAMESPACE" }}
  chart: gitlab/knative
  version: 0.9.0
  installed: {{ .Values.knative.installed }}
  missingFileHandler: Warn
  values:
{{- if env "KNATIVE_VALUES_FILE" }}
    - {{ env "KNATIVE_VALUES_FILE" | quote }}
{{- else }}
    - {{ env "CI_PROJECT_DIR" }}/.gitlab/managed-apps/knative/values.yaml
{{- end }}
  hooks:
{{- if .Values.knative.installed }}
  - events: ["postsync"]
    showlogs: true
    command: "sleep"
    args: ["120"]
{{- else }}
  - events: ["postsync"]
    showlogs: true
    command: "sleep"
    args: ["180"]
  - events: ["cleanup"]
    showlogs: true
    command: "/bin/sh"
    args: ["-c", 'kubectl delete ns --ignore-not-found knative-build knative-serving']
  - events: ["cleanup"]
    showlogs: true
    command: "/bin/sh"
    args: ["-c", 'kubectl api-resources -o name --api-group networking.istio.io | xargs kubectl delete --ignore-not-found crd']
  - events: ["cleanup"]
    showlogs: true
    command: "/bin/sh"
    args: ["-c", 'kubectl api-resources -o name --api-group rbac.istio.io | xargs kubectl delete --ignore-not-found crd']
  - events: ["cleanup"]
    showlogs: true
    command: "/bin/sh"
    args: ["-c", 'kubectl api-resources -o name --api-group authentication.istio.io | xargs kubectl delete --ignore-not-found crd']
  - events: ["cleanup"]
    showlogs: true
    command: "/bin/sh"
    args: ["-c", 'kubectl api-resources -o name --api-group config.istio.io | xargs kubectl delete --ignore-not-found crd']
  - events: ["cleanup"]
    showlogs: true
    command: "/bin/sh"
    args: ["-c", 'kubectl api-resources -o name --api-group networking.internal.knative.dev | xargs kubectl delete --ignore-not-found crd']
  - events: ["cleanup"]
    showlogs: true
    command: "/bin/sh"
    args: ["-c", 'kubectl api-resources -o name --api-group serving.knative.dev | xargs kubectl delete --ignore-not-found crd']
  - events: ["cleanup"]
    showlogs: true
    command: "/bin/sh"
    args: ["-c", 'kubectl api-resources -o name --api-group caching.internal.knative.dev | xargs kubectl delete --ignore-not-found crd']
  - events: ["cleanup"]
    showlogs: true
    command: "/bin/sh"
    args: ["-c", 'kubectl api-resources -o name --api-group autoscaling.internal.knative.dev | xargs kubectl delete --ignore-not-found crd']
{{- end }}
